- NAME
- METHODS
  - new
  - Name
  - Path
  - ComponentRoot
  - PoDir

# NAME

RT::Plugin

# METHODS

## new

Instantiate a new RT::Plugin object. Takes a paramhash. currently the only key it cares about is 'name', the name of this plugin.

## Name

Returns a human-readable name for this plugin.

## Path

Takes a name of sub directory and returns its full path, for example:

        my $plugin_etc_dir = $plugin->Path('etc');

See also "ComponentRoot", "PoDir" and other shortcut methods.

## ComponentRoot

Returns the directory this plugin has installed its HTML::Mason templates into

## PoDir

Returns the directory this plugin has installed its message catalogs into.

← Back to index